import {requestInstance} from "@/service";

export function getAppArrangeWatchHomeTableData(params) {
 return requestInstance({
  url:'/catalog/selectPtglServerDeploymentPageList',
  data:{
   ...params
  }
 })
}
export function deleteAppArrangeWatchData(UUID) {
 return requestInstance({
  url:'/catalog/removePtglServerDeployment',
  data:{
   UUID
  }
 })
}
export function getAppArrangeWatchDataAlertInfo(SERVER_UUID) {
 return requestInstance({
  url:'/catalog/getPtglAlarmRule',
  data:{
   SERVER_UUID
  }
 })
}
export function getAppArrangeWatchDetailArrangeInfo(SERVER_UUID) {
 return requestInstance({
  url:'/catalog/getPtglServerDeployentInfo',
  data:{
   SERVER_UUID
  }
 })
}
export function getAppArrangeWatchDetailNetXy(SERVER_UUID) {
 return requestInstance({
  url:'/catalog/getPtglNetWorkStrategy',
  data:{
   SERVER_UUID
  }
 })
}
export function getAppArrangeWatchDetailInfo(UUID) {
  return requestInstance({
   url:'/catalog/getPtglServerDeployment',
   data:{
    UUID
   }
  })
}
export function updateOrAddWatchDetailD(params){
 return requestInstance({
  url:'/catalog/addPtglServerDeployment',
  data:{
   ...params
  }
 })
}
